POLICY-TEST(8)

NAME
policy-test - Postfix Policy Daemon Testing Tool

SYNOPSIS
policy-test [options...] unix:/file/path policy-test [options...] inet:hostname:port

 -h, --help              display this help and exit
     --version           output version information and exit
 -v, --verbose           increase verbosity level

DESCRIPTION
policy-test is a script that converts Postfix log entries on the standard input into requests to the Postfix policy daemon given as the first argument. It can be used for:

Testing the performance of a policy daemon
Pre-seeding a Greylist policy daemon with data from the logs

Note that this program is still in its very early stages of development and does only support a small subset of the normal attributes used in the Postfix policy delegation protocol. It basically supports the bare minimum to make it work with Postgrey.

Also note that a non-standard attribute is being generated: policy_test_time contains the Unix timestamp of when the client connected.

COPYRIGHT
Copyright (c) 2007 by Open Systems AG. All rights reserved.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

AUTHOR
David Schweikert <david@schweikert.ch>